#!/usr/bin/python3.5
#
# This is the Python module implementing access to the DHT11
# U. Raich UCC, Nov.2017
import sys
import RPi.GPIO as GPIO
import time

class Dht11:
    
    SUCCESS=                0
    INIT_FAILED=           -1
    MISSING_INIT=          -2
    NO_MEAS_YET=           -3 
    NO_VALID_MEAS_YET=     -4
    MEM_ALLOC_ERROR=       -5
    PROTOCOL_ERROR=        -6
    BAD_CHECKSUM=          -7
    BAD_TIME_STAMP=       -10


    PROTOCOL_TIMEOUT=     100
    PROTOCOL_SIZE=        800
    PROTOCOL_SIZE_MARGIN= 200

    MAX_UNCHANGED_COUNT=  100
    HIGH=                   1
    LOW=                    0
    ON=                     1
    OFF=                    0

    errorMsg={ SUCCESS:           "library call returned successfully",
               INIT_FAILED:       "Failed to initialize the pigpiod connection",
               MISSING_INIT :     "init was not called yet",
               NO_MEAS_YET:       "No measurement was made yet",
               NO_VALID_MEAS_YET:  "No valid measurement was made yet",
               MEM_ALLOC_ERROR:   "Could not allocate enough memory to hold the data",
               PROTOCOL_ERROR:    "Protocol error: the data stream was probably not read entirely",
               BAD_CHECKSUM:      "Checksum error on protocol data",
               BAD_TIME_STAMP:    "The time stamp was invalid",
               }
    temperature      = -1
    humidity         = -1
    validTemperature = -1
    validHumidity    = -1
    dht11Pin         = 17
    
    def __init__(self,pinNo):
        dht11Pin = pinNo;
        GPIO.setmode(GPIO.BCM)
        GPIO.setwarnings(True)
        print("pinNo: ",pinNo)
    def getPin():
        return dht11Pin
    
    
